Subject: Re: [bug-diffutils] bug#24331: mkdir_p definition in po/Makefile.in.in

From: Santiago Vila <[email-masked]>
Date: Tue, 30 Aug 2016 17:55:44 +0100

On Tue, Aug 30, 2016 at 09:41:22AM -0700, Paul Eggert wrote:
> Santiago Vila wrote:
> >So, to be sure: Would somebody know why the patch was required in
> >diffutils-3.3 and not anymore in diffutils-3.5?
> 
> The patch apparently works around a problem where Automake doesn't AC_SUBST
> for mkdir_p. There was some talk of Automake removing support for mkdir_p
> (it's still listed as deprecated in the man page). Perhaps Debian Automake
> removed mkdir_p support at some point, and then reverted the removal? That
> would explain why you don't need the patch any more.

There must be some other reason. The Debian diffutils package does not
run autoreconf before compiling the package, as I still trust you GNU
people to provide a sane configure script.

Thanks.